%define name draklive
%define version 0.7
%define release %mkrel 2

Summary:	Live systems generation and copying tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://wiki.mandriva.com/Development/Packaging/Tools/draklive
BuildArch:      noarch
Requires:       syslinux grub
Requires:       cdrkit cdrkit-genisoimage mkcd
Requires:       curl rsync dosfstools mtools patch squashfs-tools setarch urpmi
Suggests:	draklive-config-One

%description
This tool lets you generate Mandriva live systems.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -D -m 0755 %{name} %{buildroot}/%{_sbindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS
%{_sbindir}/%{name}


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-2mdv2009.0
+ Revision: 220685
- rebuild

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2008.1
+ Revision: 192040
- suggest draklive-config-One
- 0.7
- initrd
  o do not copy and load twice additional modules if they were listed in
  extra modules
  o use nash-mount instead of mount
  o create /etc/blkid and use "showlabels --removable" to get CD-Rom
  labels in blkid cache
  o adapt to new probe-modules syntax for storage bus
  o use stage1's probe-modules instead of dropped nash's insmod
  o move initrd modules in /lib/modules/`uname -r`
  o gzip initrd modules
  o use depmod to generate modules.dep
  o do not print excluding modules warning if not needed
  o check that there is enough space left in initrd
  o umount /proc/bus/usb before pivot_root in initrd
  o add firewire controllers (bus and disk) in CDROM live (#31356)
  o use libraries from /lib instead of /lib/i686 (#38649) and /lib/tls
  (#21683) to be able to boot on processors without cmov
- bootloader
  o remove hardcoded fastboot option (new initscripts do not fsck rw /)
- master
  o handle genisoimage progress more nicely
  o insert mkcd checksum before computing md5/sha1 checksums
  o hide mkcd output
- dist
  o rename "images" directory as "dist"
  o create packages lst in dist
  o write a .langs file with human-readable langs list
  o write full list of rpm packages and list of rpm leaves, sorted by
  package size
- misc
  o do not try to use consolehelper to display "must be root" message,
  it's broken outside of X

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2008.1
+ Revision: 119524
- 0.6
- require mkcd (to add md5sum)

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.5-2mdv2008.0
+ Revision: 90117
- rebuild for 2008
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - require dosfstools


* Tue Mar 13 2007 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2007.1
+ Revision: 142269
- 0.5

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 0.4-1mdv2007.1
+ Revision: 134804
- 0.4

* Mon Feb 12 2007 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 120038
- require urpmi
- require curl
- require wodim and genisomage
- require grub
- add NEWS file
- 0.3
- do not package copy wizard anymore
- update url
- require setarch
- require squashfs-tools
- require patch
- Import draklive

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.0
- 0.2

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com> 0.1-2mdv2007.0
- allow to add additionnal boot entries
- run shell in initrd when the "debug" option is on cmdline
- use patch batch mode (-t) not to apply already applied patches
  and die if a patch can't be applied
- create modules tree root (for x86_64)
- remove modprobe.preload.d files
- require syslinux, cdrecord, rsync and mtools

* Tue Jun 20 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.0
- initial release

